{% extends "dash/layouts/default.html" %}
{% load member_url from interestgroup %}
{% load static %}
{% block title %} Chief's Office {% endblock title %}
<style>
  .search-input .tt-menu {
  background-color: white;
  max-height: 300px;
  border-width: 0 1px 1px 1px;
  border-color: rgba(0,0,0,.0625);
  border-style: solid;
  overflow-y: scroll;
  width: 100%;
}
</style>
{% block stylesheets %}
{% endblock stylesheets %}

{% block content %}
<div class="row gap-20 masonry pos-r">
  <div class="masonry-sizer col-12"></div>
  <div class="masonry-item col-lg-6 col-xl-4">
      <div class="bgc-white p-20 bd" style="min-height: 200px;">
          <div class="row">
            <div class="col-12">
              <h4>Assign Interest Groups Moderator (IGM)</h4>
              <form action='' method='post'>{% csrf_token %}
                <label>Username: </label>
                <div class="search-input bgc-white mb-3">
                  <input class="ls-user-select form-control tt-input" style="width: 100%;" name="username" type="text">
                </div>
                <input type="hidden" name="action" value="assign-igm">
                <p> IGM is responsible for approving interest groups. They can reverse it as well. To designate a member as an IGM, supply his username and submit.</p>
                <p>
                  <input type="submit" name="submit" value="Make IGM" class="btn btn-primary">
                </p>
              </form>
              <h4>Current IGMs</h4>
              {% if not igm_list %}
              <p>There are none.</p>
              {% else %}
              {% for igm in igm_list %}
              <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50">
                <div class="peer">
                    <img src="{{ igm.get_avatar_url }}" alt="" class="w-3r h-3r bdrs-50p">
                </div>
                <a class="peer peer-greed pL-20" href="{% member_url igm.username %}">
                    <h6 class="mB-0 lh-1 fw-400">{{ igm.username }}</h6>
                </a>
                <form action="" method='post' class="peer pull-right"> 
                  {% csrf_token %}
                  <input type="hidden" name="username" value="{{ igm.username }}">
                  <input type="hidden" name="action" value="remove-igm">
                  <input type="submit" name="submit" value="Remove" class="btn btn-danger">
                </form>
              </div>
              {% endfor %}
              {% endif %}
            </div>
          </div>
      </div>
  </div>
</div>
{% endblock content %}
